Projects

Update a project

PATCH
/projects/{project_id}
AuthorizationBearer <token>

Organization API key from the console (ak_...), or an OAuth access token with user:org:read, the organization selected during consent, and the capability required by the operation.

In: header

Path Parameters

project_id*string

Unique identifier for a project.

Match^prj_[a-z0-9]{16}$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Properties1 <= properties

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/projects/prj_4f8k2m7x9q1v6b3n" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "prj_4f8k2m7x9q1v6b3n",  "object": "project",  "name": "string",  "definition_id": "def_2p8m4q7k1v9d6h3c",  "targets": [    {      "id": "tgt_5m8q2v7k1p9d4h6c",      "object": "target",      "project_id": "prj_4f8k2m7x9q1v6b3n",      "definition_id": "def_2p8m4q7k1v9d6h3c",      "name": "string",      "generator": "typescript-sdk",      "state": "active",      "edition": "string",      "release_channel": "stable",      "version_policy": {        "mode": "reviewed_semver",        "pre1_breaking": "minor"      },      "current_version": "string",      "proposed_version": "string",      "config": {        "globals": [          "string"        ],        "retries": {          "max_retries": 0,          "statuses": [            0          ],          "initial_delay_ms": 1,          "max_delay_ms": 1,          "retry_non_idempotent": true,          "disabled": true,          "operations": {            "property1": {},            "property2": {}          }        },        "pagination": {          "property1": {            "style": "cursor",            "items_field": "string",            "cursor_param": "string",            "next_cursor_field": "string",            "has_more_field": "string",            "id_field": "string",            "page_param": "string",            "offset_param": "string",            "limit_param": "string"          },          "property2": {            "style": "cursor",            "items_field": "string",            "cursor_param": "string",            "next_cursor_field": "string",            "has_more_field": "string",            "id_field": "string",            "page_param": "string",            "offset_param": "string",            "limit_param": "string"          }        },        "cli": {          "command_name": "string",          "whoami_operation": "string",          "oauth_client_id": "string",          "oauth_scopes": [            "string"          ],          "oauth_audience": "string",          "update_notice": true,          "support_url": "string",          "auth_url": "string",          "mcp_url": "string",          "skills_repo": "string"        },        "mcp": {          "registry_name": "string",          "tool_mode": "auto",          "instructions": "string",          "tool_descriptions": {            "property1": "string",            "property2": "string"          }        },        "package": {          "homepage": "string",          "license": "string",          "license_text": "string",          "copyright": "string",          "go_package_name": "string"        },        "docs_url": "string"      },      "deliveries": [        {          "id": "dlv_4q8m2v7k1p9d5h6c",          "object": "delivery",          "target_id": "tgt_5m8q2v7k1p9d4h6c",          "kind": "repository",          "state": "active",          "repository": {            "provider": "github",            "identifier": "acme/payments-api"          },          "directory": "string",          "package_name": "string",          "module_path": "string",          "created_at": "2019-08-24T14:15:22Z",          "updated_at": "2019-08-24T14:15:22Z"        }      ],      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "deliveries": [    {      "id": "dlv_4q8m2v7k1p9d5h6c",      "object": "delivery",      "target_id": "tgt_5m8q2v7k1p9d4h6c",      "kind": "repository",      "state": "active",      "repository": {        "provider": "github",        "identifier": "acme/payments-api"      },      "directory": "string",      "package_name": "string",      "module_path": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "auto_generate": true,  "relay_enabled": true,  "config": {    "globals": [      "string"    ],    "retries": {      "max_retries": 0,      "statuses": [        0      ],      "initial_delay_ms": 1,      "max_delay_ms": 1,      "retry_non_idempotent": true,      "disabled": true,      "operations": {        "property1": {},        "property2": {}      }    },    "pagination": {      "property1": {        "style": "cursor",        "items_field": "string",        "cursor_param": "string",        "next_cursor_field": "string",        "has_more_field": "string",        "id_field": "string",        "page_param": "string",        "offset_param": "string",        "limit_param": "string"      },      "property2": {        "style": "cursor",        "items_field": "string",        "cursor_param": "string",        "next_cursor_field": "string",        "has_more_field": "string",        "id_field": "string",        "page_param": "string",        "offset_param": "string",        "limit_param": "string"      }    },    "cli": {      "command_name": "string",      "whoami_operation": "string",      "oauth_client_id": "string",      "oauth_scopes": [        "string"      ],      "oauth_audience": "string",      "update_notice": true,      "support_url": "string",      "auth_url": "string",      "mcp_url": "string",      "skills_repo": "string"    },    "mcp": {      "registry_name": "string",      "tool_mode": "auto",      "instructions": "string",      "tool_descriptions": {        "property1": "string",        "property2": "string"      }    },    "package": {      "homepage": "string",      "license": "string",      "license_text": "string",      "copyright": "string",      "go_package_name": "string"    },    "docs_url": "string"  },  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}